Package io.vertx.serviceresolver

## Interface ServiceResolverClient

- All Superinterfaces:
    `EndpointResolver`

      public interface ServiceResolverClient
      extends EndpointResolver

  Address lookup implementing service discovery and load balancing.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the client and release the resources.
    `static ServiceResolverClient` | `create​(Vertx vertx, LoadBalancer loadBalancer, ServiceResolverOptions options)` | Create a new service resolver client.
    `static ServiceResolverClient` | `create​(Vertx vertx, ServiceResolverOptions options)` | Create a new service resolver client.
    `Future<Endpoint>` | `resolveEndpoint​(ServiceAddress address)` |

    - ### Methods inherited from interface io.vertx.core.net.endpoint.EndpointResolver

      `resolveEndpoint`

- - ### Method Detail

    - #### create

          static ServiceResolverClient create​(Vertx vertx,
                                              ServiceResolverOptions options)

      Create a new service resolver client.
      Parameters:
        `vertx` - the vertx instance
        `options` - the resolver options
      Returns:
        the service resolver client

    - #### create

          static ServiceResolverClient create​(Vertx vertx,
                                              LoadBalancer loadBalancer,
                                              ServiceResolverOptions options)

      Create a new service resolver client.
      Parameters:
        `vertx` - the vertx instance
        `loadBalancer` - the load balancer
        `options` - the resolver options
      Returns:
        the service resolver client

    - #### resolveEndpoint

          Future<Endpoint> resolveEndpoint​(ServiceAddress address)

    - #### close

          Future<Void> close()

      Close the client and release the resources.
      Returns:
        a future notified when the resources are disposed